import { Router } from "express";
import book from "./../../controllers/book/book.controller";
import { validFormMiddleware } from "./../../middleware/validFormMiddleware";
import { BookForm } from "./../../controllers/book/validate-form/form-bookvalid";
import { authorizationMiddeleware } from "./../../middleware/authorizationMiddleware";
let bookRouter = Router();
bookRouter.post("/book/create-book", authorizationMiddeleware("admin"), validFormMiddleware(BookForm, "body"), book.createItemBook);
bookRouter.get("/book/", authorizationMiddeleware("all"), book.getAllDataBook);
bookRouter.get("/book/search", book.searchBook);
bookRouter.get("/book/:id", authorizationMiddeleware("all"), book.findDataBookById);
bookRouter.put("/book/update-book/:id", authorizationMiddeleware("admin"), validFormMiddleware(BookForm, "body"), book.updateItemBook);
bookRouter.delete("/book/delete-book/:id", authorizationMiddeleware("admin"), book.deleteItemBook);
export default bookRouter;
